"""
Settings for the trees. Making it easier to change parameters
"""

class Settings(object):
    """
    Borg design pattern instead of singleton.
    Cache to reduce reads. Implemented as a simple LRU cache
    """
    __state = {'FANOUT': 50,
        'MIN_FILL': 20,
        'MAX_OVERFLOW': 4,
        'P_GRADE': 0.3,
        'CACHE_MAXLEN': 10,
    }

    def __init__(self):
        self.__dict__ = self.__state

